@mixin ellipsis($width: 100%, $reset: false) {
  display: inline-block;
  max-width: $width;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;

  @if $reset {
    max-width: none;
    overflow: visible;
    text-overflow: none;
    white-space: normal;
  }
}
